SELECT t2.name AS newsletter,
    t4.name AS title,
    t3.uv_heading AS heading,
    t3.first_name,
    t3.last_name,
    t3.email,
    t0.mc_receive_state,
    max(t1.create_date) AS last_action
   FROM newsletter_member t0
     LEFT JOIN newsletter_member_history t1 ON t1.nl_member_id = t0.id
     LEFT JOIN newsletter t2 ON t0.newsletter_id = t2.id
     LEFT JOIN res_partner t3 ON t0.address_id = t3.id
     LEFT JOIN res_partner_title t4 ON t3.title = t4.id
  WHERE t1.create_date > (( SELECT 'now'::text::date - 7))
  GROUP BY t0.newsletter_id, t2.mailchimp_id, t2.web_id, t2.name, t0.address_id, t4.name, t3.uv_heading, t3.first_name, t3.last_name, t3.email, t0.mc_receive_state
  ORDER BY t2.name, t0.mc_receive_state;
