#!/bin/sh

#REQUIREMENTS
##Create the view used by this script
##CREATE VIEW newsletterupdates AS SELECT t2.name AS newsletter, t4.name AS title, t3.uv_heading AS heading, t3.first_name, t3.last_name, t3.email, t0.mc_receive_state, max(t1.create_date) AS last_action FROM newsletter_member t0 LEFT JOIN newsletter_member_history t1 ON t1.nl_member_id = t0.id LEFT JOIN newsletter t2 ON t0.newsletter_id = t2.id LEFT JOIN res_partner t3 ON t0.address_id = t3.id LEFT JOIN res_partner_title t4 ON t3.title = t4.id WHERE t1.create_date > (( SELECT 'now'::text::date - 7)) GROUP BY t0.newsletter_id, t2.mailchimp_id, t2.web_id, t2.name, t0.address_id, t4.name, t3.uv_heading, t3.first_name, t3.last_name, t3.email, t0.mc_receive_state ORDER BY t2.name, t0.mc_receive_state;
##Create the user for this script:
##CREATE USER newsletterupdatesscript WITH PASSWORD 'ruSh0shoh6ouchaingup';
##\c univention;
##grant select on newsletter, newsletter_member, newsletter_member_history, res_partner_address, res_partner_title to newsletterupdatesscript;

FOLDER="/opt/newsletter-updates/"

#set variables
export PGPASSWORD="ruSh0shoh6ouchaingup"
today=$(date +%y%m%d)
sevenDaysAgo=$(date --date="a week ago" +%y%m%d)
host=$(hostname)

MAIL_TXT="Hallo Marketing,\n\nanbei die Newsletter Updates von $sevenDaysAgo bis $today.\nZum Oeffnen der Datei bitte einen Rechtsklick auf den Anhang machen und '"'Entschluesseln und oeffnen'"' anklicken.\n\nViele Gruesse,\n$host"

#Ausgabedatei:
ausgabe="$FOLDER""$today"_erp-newsletter-updates.csv""
encryptedCSV="$ausgabe"".asc"

#Query database, output to csv
psql -U newsletterupdatesscript -d univention -h localhost -c "SELECT * FROM newsletterupdates;" -o $ausgabe

#encrypt csv and send mail to given parameters
for i in "$@"
do

gpg -ea -r "$i" $ausgabe

echo $MAIL_TXT | gpg -ea -r $i | mail -s "Newsletter Updates" -a $encryptedCSV $i

rm $encryptedCSV
done
